ls.size {mgcv} | R Documentation

## Size of list elements

### Description

Produces a named array giving the size, in bytes, of the elements of a list.

### Usage

    ls.size(x)

### Arguments

`x` | A list.

### Value

A numeric vector giving the size in bytes of each element of the list `x`. The elements of the array have the same names as the elements of the list. If `x` is not a list then its size in bytes is returned, un-named.

### Author(s)

Simon N. Wood simon.wood@r-project.org

### References

http://www.maths.bris.ac.uk/~sw15190/

### Examples

    library(mgcv)
    b <- list(M=matrix(runif(100),10,10),quote=
    "The world is ruled by idiots because only an idiot would want to rule the world.",
    fam=binomial())
    ls.size(b)

[Package mgcv version 1.8-12 Index]